export const meta = {
  title: 'Update #6',
  type: 'Article',
  description: 'Catch up on recently shipped code, and what we have coming',
  featuredImage: {
    src: '/images/blog/tracy-status2.png',
    alt: 'tracy reading next to a status seal'
  },
  date: '2021-06-05',
  tags: [
    'opstrace',
    'observability',
    'metrics',
    'monitoring',
    'open source',
    'status'
  ],
  authors: ['chris']
}

Hello community!

Here is our ~bi-weekly update, summarizing all of the exciting stuff going on.
Following up on the heels of our new UI announcement, we have a lot of features
that we’ve shipped that we’d like to share with you. Throughout you’ll see how
we’ve taken work that today is toilsome and made it visible and easy to use. You
will also see hints of future work to go further with automation and scale.
There’s a lot being being delivered and a lot coming, so stay tuned.

## Features

### Integrations

We announced our integrations catalog along with the new UI. Next, we’ve moved
our API-only [collectors](/blog/collecting-cloud-metrics-into-opstrace) over to
the UI to make it easier to collect data from your cloud provider.

<Image
  alt="Viewing all of the rings"
  src="/images/blog/week-22-integrations.jpg"
  width={2546}
  height={1818}
/>

You can see the Kubernetes integration in action in the video linked below in
the “media” section.

### Ring Health UI

Yesterday we announced a view in the UI that centralizes the critical Cortex and
Loki ring information. We also provide the “forget” buttons so you can take
action if needed. Check out some short GIFs on our blog:
[https://opstrace.com/blog/introducing-ring-health-ui](/blog/introducing-ring-health-ui)

### Simplified low-level day-to-day operations

_Cortex runtime configuration_

Cortex supports runtime config updates,
[and now updating them](/blog/introducing-dynamic-cortex-limits)—for example
certain rate limits for an individual tenant—is just a button click away.

Note: Loki config updates should be supported next week.

_Secure, dynamic tenant creation_

We now leverage the primitives provided by Cortex and Loki
[to dynamically provision tenants](/blog/introducing-dynamic-tenant-addition-and-token-management)
with _secure_ API endpoints, TLS certificates, and standalone Grafana
dashboards.

## Open Source

### Releases

If you’re following our [GitHub repo](https://github.com/opstrace/opstrace/) you
may have noticed that we recently published our first two
[official releases](https://github.com/opstrace/opstrace/releases). We have
canonical links to the latest binaries to make it super easy for you to stay
up-to-date, for example:
[go.opstrace.com/cli-latest-release-macos](https://go.opstrace.com/cli-latest-release-macos).

_Announcing the Cortex Operator for Kubernetes_

We’ve [open sourced a Kubernetes operator](/blog/introducing-a-cortex-operator)
for [Cortex](https://github.com/cortexproject). If you are using Cortex, or
thinking about it, take a look. We opened this very early so you can follow
progress and contribute. We plan to invest in this as the workhorse for
automating the operations for Cortex.

## Media

We put together
[a video to demonstrate how quick and easy it is](https://www.youtube.com/watch?v=L_3yIVS-Bsg)
to install Opstrace in your own cloud account and collect Kubernetes metrics in
~1 minute. (Your total time should be somewhere between 30-60 mins.)

Check out our good friends over at [o11y.news](https://o11y.news) for useful,
succinct updates on the world of observability. We enjoy the content and think
you might, too.

## Upcoming

### Scale testing

We’re currently working on some significant scale testing in conjunction with
one of our larger users. The numbers are pretty big and the early results are
very promising so it should make for a fun blog post in the next week or so.
